@import url("./normalize.css");

html {
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-size: 18px;
}

.page-wrapper {
    height: 100vh;
    width: 100vw;
    background-color: #1f1300;
    background: url('../img/background.png') no-repeat center;
    background-size: cover;
    overflow: auto;
    padding: 0 10%;
    color: #FFFFFF;
    line-height: 1;
}

.container {
    height: 100vh;
    max-width: 1030px;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    transition: max-width .5s ease;
}

/* HEADER */

.header {
    display: flex;
    justify-content: space-between;
    padding: 40px 0 20px;
    color: #FFFFFF;
}

.header__logo-title {
    display: inline-block;
    font-size: 29px;
    text-transform: uppercase;
    line-height: 1;
    transition: color .5s ease;
    color: currentColor;
}

.header__logo-title--lower {
    font-size: 1rem;
}

.header__logo-img {
    width: 65px;
    height: 58px;
    margin-right: 5px;
    fill: currentColor;
    transition: color .5s ease;
}

.header__logo:hover .header__logo-img,
.header__logo:hover .header__logo-title,
.header__contact-link:hover {
    color: #F26522;
}

.header__contact-info {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
}

.header__contact-link {
    transition: color .5s ease;
}

/* MAIN */

.portfolio {
    /* min-height: calc(100vh - 125px - 85px); */
    flex: 1 1 auto;
}

.portfolio__inner {
    display: grid;
    grid-template-columns: repeat(auto-fill, 300px);
    justify-content: space-between;
    row-gap: 35px;
}

.portfolio__item {
    padding: 0;
    background: transparent;
    text-align: center;
    position: relative;
}

.portfolio__item-img {
    width: 100%;
    height: 220px;

    border: 2px solid transparent;
    border-image-slice: 1;
    animation: border 6s infinite ease-in;
}

@keyframes border {
    0% {
        border-image: linear-gradient(to right top, transparent 50%, #adf2f7 90%);
        border-image-slice: 1;
    }

    25% {
        border-image: linear-gradient(to right bottom, transparent 50%, #adf2f7 90%);
        border-image-slice: 1;
    }

    50% {
        border-image: linear-gradient(to left bottom, transparent 50%, #adf2f7 90%);
        border-image-slice: 1;
    }

    75% {
        border-image: linear-gradient(to left top, transparent 50%, #adf2f7 90%);
        border-image-slice: 1;
    }

    100% {
        border-image: linear-gradient(to right top, transparent 50%, #adf2f7 90%);
        border-image-slice: 1;
    }

}

.portfolio__item-title {
    font-size: 1rem;
    font-weight: 400;
    margin-top: 20px;
    display: inline-block;
    transition: color .5s ease;
}

.portfolio__item-info-wrapper {
    width: 100%;
    height: 220px;
    overflow: hidden;
    position: absolute;
    top: 0;
}

.item-info {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    height: 55px;
    width: 100%;
    padding: 30px 55px;
    border-radius: 100% 100% 0 0;
    color: #000;
    background-color: #F26522;
    position: absolute;
    bottom: -55px;
    opacity: 0;
    transition: bottom .5s ease, border-radius 1s ease, opacity .5s ease, color 0.3s ease, padding .3s ease-in;
    transition-delay: 0.25s;
    line-height: 1;
}

.portfolio__item-link:hover {
    color: #F26522;
}

.portfolio__item-link:hover .portfolio__item-img {
    animation: shadow 3s infinite ease-out, border 6s infinite ease-in;
}

@keyframes shadow {
    0% {
        box-shadow: none;
    }

    50% {
        box-shadow: 4px -3px 15px rgb(153, 153, 153);
    }

    100% {
        box-shadow: none;
    }
}

.portfolio__item-link:hover .item-info {
    color: white;
    border-radius: 0;
    bottom: 0px;
    padding: 7px 16px 12px;
    opacity: 1;
    transition: color .8s ease, bottom .4s ease, border-radius .8s ease, opacity .5s ease, padding .6s ease-in;
    transition-delay: 0.15s;
}

.item-info__price {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
}

.item-info__price-description {
    font-size: 10px;
}

.item-info__price-value {
    font-size: 20px;
}

.item-info__details {
    font-size: 14px;
    padding-right: 25px;
    position: relative;
}

/* .item-info__details::before {
    content: "\221F";
    font-size: inherit;
    color: currentColor;
    transform: rotate(225deg) scale(0.9);
    position: absolute;
    right: 0;
} */

.item-info__details::before {
    content: "";
    height: 7px;
    width: 7px;
    border-top: 1.5px solid currentColor;
    border-right: 1.5px solid currentColor;
    transform: rotate(45deg);
    transform-origin: top right;
    position: absolute;
    right: 0;
    top: 50%;
}

/* FOOTER */

.footer {
    font-size: 12px;
    padding: 50px 0 25px;
    text-align: center;
    flex: 0 0 auto;
}

/* ADAPTATION */

@media (max-width: 1280px) {
    .container {
        max-width: 660px;
        transition: max-width .5s ease-out;
    }
}

@media (max-width: 768px) {
    .container {
        max-width: 480px;
        transition: max-width .5s ease-out;
    }

    .header {
        flex-direction: column;
        align-items: center;
    }

    .header__contact-info {
        padding-top: 10px;
        transition: padding-top .5s ease;
    }

    .portfolio__inner {
        justify-content: center;
    }
}